package com.zcloud.mapper.datasource.statistics;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单统计记录
 * 作者：luoxiaobao
 * 时间：2021-01-27
 * 官网：www.zcloudchina.com
 */
public interface ListStatisticsMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void deletewl(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getCountList(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**定时器查询
	 * @param pd
	 * @throws Exception
	 */
	PageData findByCondition(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
	PageData getTimeAstrict(PageData pd);

	/**人员应处理清单数
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> countStaByUser(PageData pd);

	/**人员应处理清单数
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> countSta(PageData pd);

	/**检查情况列表
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> checkSituation(PageData pd);

	/**人员应处理清单个数（节假日清单数算1）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> countListStaByUser(PageData pd);
	/**人员应处理清单数（各周期）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> countByPeriodUser(PageData pd);

	List<PageData> listAllForPlan(PageData pd);

	List<PageData> mergeListAllForPlan(PageData pd);
}

